Package com.saxonica.functions.registry

## Class XQUpdate10FunctionSet

- java.lang.Object
- - net.sf.saxon.functions.registry.BuiltInFunctionSet
  - - com.saxonica.functions.registry.XQUpdate10FunctionSet

- All Implemented Interfaces:
    `FunctionLibrary`

      public class XQUpdate10FunctionSet
      extends BuiltInFunctionSet

  Function signatures (and pointers to implementations) of the functions defined in XQuery Update 1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `BuiltInFunctionSet.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XQUpdate10FunctionSet` | `THE_INSTANCE` |

    - ### Fields inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `ABS, AS_ARG0, AS_PRIM_ARG0, BASE, CARD0, CDOC, CITEM, DCOLL, DEPENDS_ON_STATIC_CONTEXT, DLANG, EMPTY, FILTER, FOCUS, INS, LAST, LATE, NAV, NEW, NS, ONE, OPT, PLUS, POSN, SIDE, STAR, TRA, UO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XQUpdate10FunctionSet()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XQUpdate10FunctionSet` | `getInstance()` |

    - ### Methods inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `bind, copy, getConventionalPrefix, getFunctionDetails, getFunctionItem, getNamespace, importFunctionSet, isAvailable, makeFunction, register, registerReducedArityVariants`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.functions.FunctionLibrary

      `setConfiguration`

- - ### Field Detail

    - #### THE_INSTANCE

          public static XQUpdate10FunctionSet THE_INSTANCE

  - ### Constructor Detail

    - #### XQUpdate10FunctionSet

          public XQUpdate10FunctionSet()

  - ### Method Detail

    - #### getInstance

          public static XQUpdate10FunctionSet getInstance()